#!/bin/bash
#
# Last update: 2018.12.14
# URL : https://docs.cloudlinux.com/index.html?detect_users_php_version.html

# 刪除暫存檔案
rm -f /tmp/account_list.txt /tmp/account.txt /tmp/version.txt

# 取得帳號列表
whmapi1 listaccts | grep 'user\:' | sed 's/^\s*//g' | awk '{print $2}' | sort > /tmp/account_list.txt

# 將帳號列表清單，變成陣列
mapfile userlist < /tmp/account_list.txt

# 利用 for，將陣列值套用於 cl-selector 指令，查詢用戶 selector 設定值
for ((i=0; i<${#userlist[@]}; i++)); do
if (/usr/bin/selectorctl --interpreter=php --user-summary --user=${userlist[$i]} | grep 'e d s' > /dev/null 2>&1);then
    echo ${userlist[$i]} >> /tmp/account.txt
    echo `/usr/bin/selectorctl --interpreter=php --user-summary --user=${userlist[$i]} | grep 'e d s' | awk '{print $1}'` >> /tmp/version.txt
fi
done

# 顯示查詢結果 (只會顯示使用 Native PHP 版本的用戶，使用其他 PHP 版本不會顯示)
echo '帳號資訊存放 : /tmp/account.txt'
echo '版本資訊存放 : /tmp/version.txt'

